antiprism-0.23
Up Next

# minmax - optimal spherical tesselations

Usage | Examples | Notes

## Usage

    Usage: minmax [options] [input_file]

    Read a file in OFF format containing a graph of a polyhedron, with or
    without vertex coordinates, and try to create a spherical or ellipsoidal
    tesselation where the maximum edge is a minimum length. If input_file is
    not given the program reads from standard input.

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -n <itrs> number of iterations (default 1000)
      -s <perc> percentage to shorten the maximum edge by (default 1)
      -l <perc> percentage to lengthen the minimum edge by (default 1)
      -a <alg>  length changing algorithm
                  v - shortest and longest edges attached to a vertex (default)
                  a - shortest and longest of all edges
      -p <mthd> method of placement onto a unit sphere:
                  n - project onto the sphere (default)
                  r - random placement
                  u - unscramble: place a small polygon on one side and the
                      rest of the vertices at a point on the other side
      -E <prms> use ellipsoid, three numbers separated by commas are the
                axis lengths (for a superellipsoid an optional fourth number
                gives the power)
      -o <file> write output to file (default: write to standard output)

## Examples

Make a geometric representation of a polyhedron having only face data

    minmax -p u -n 100000 -o unscrambled.off scrambled.off

Run for a bit longer, don't need -p u this time

       minmax -n 100000 -o unscrambled2.off unscrambled.off

## Notes

Doesn't always succeed. An option to keep the spherical polygons convex should improve it. The program shows the progress every 1000 iterations by printing the longest and shortest edge lengths.

Up: Programs and Documentation
Next: col_util - colour utilities including plots and blends